Перейти до вмісту
AstroWay/api v2.95.1 · docs
усі системи в нормі

Marseille — Interpret

POST
/tarot/marseille/interpret
request.sh
curl -X POST https://api.astroway.info/v1/tarot/marseille/interpret \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "cards": [ "le-mat-the-fool-marseille", "le-bateleur-the-juggler-marseille" ], "question": "Career change?" }'

Resolve list of card slugs into meanings.

Media type application/json
object
Example
{
"cards": [
"le-mat-the-fool-marseille",
"le-bateleur-the-juggler-marseille"
],
"question": "Career change?"
}

Successful calculation

Media type application/json
object
ok
boolean
data
object
cards
Array
nullable
Example
{
"ok": true
}

Validation error

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?